Add support for collecting usage information by namespace

07/30/2014 11:53 AM - Tyler Brekke

Status: New % Done: 0%

Priority: Normal Spent time: 0.00 hour

Assignee:    

Category:    

Target version:    
Description

As of now there is no simple way to determine how much data is being used by a particular namespace. Customers currently have to

stat each object and aggregate the total manually. While this process works, it does not scale well.

ZD: 1707

History

#1 - 07/30/2014 11:53 AM - Tyler Brekke

- Project changed from rgw to Ceph

#2 - 07/31/2014 09:33 AM - Sage Weil

- Status changed from New to 4

We decided not to do this when designing namespaces because we wanted namespaces to scale independnetly of the size of the osdmap.  we have

something similar to this with the object 'category' that is not used by anything (i think!) that we could co-opt and make this a sort of opt-in thing,

where you designate certain namespaces in the osdmap and those get stats aggregated for them. but it will only work for smallish numbers of

namespaces (not hundreds).  would that meet your needs?

#3 - 12/05/2019 09:40 PM - Patrick Donnelly

- Status changed from 4 to New
